

public class Score 
{
  private double score;
  private double total;

  public synchronized void setScore ( double s )
  //public void setScore ( double s )
  {
    //score -= s;
    try {
         Thread.sleep( (int) (  3000 ) );
    } catch ( InterruptedException e ) {
          e.printStackTrace();
    }
    score = s;
//    notifyAll ();
  } 
  
 // public synchronized void addScore ( double s )
  public  void addScore ( double s )
  {
 //   total += s;
     score += s;
  }

  public synchronized void updateScore ( double s )
  { 
     score += s;
  //  notifyAll ();
  }

  public  double getScore ()
  {
    return score;
  }
}
